FullWrtTextInternal::ColumnInfo Struct Reference

Internal: class to store a ColumnInfo. More...

## Public Member Functions
| ColumnInfo ()

## Public Attributes
int | m_column
| the column number
MWAWBox2i | m_box
| the bdbox
int | m_beginPos
| the first data

## Friends
std::ostream & | operator<< (std::ostream &o, ColumnInfo const &c)
| operator<<

## Detailed Description

Internal: class to store a ColumnInfo.

## Constructor & Destructor Documentation

## ◆ ColumnInfo()

FullWrtTextInternal::ColumnInfo::ColumnInfo | ( |  | ) |
| inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ColumnInfo const & | c )
| friend

operator<<

## Member Data Documentation

## ◆ m_beginPos

int FullWrtTextInternal::ColumnInfo::m_beginPos

the first data

Referenced by ColumnInfo(), operator<<, and FullWrtText::readTextData().

## ◆ m_box

MWAWBox2i FullWrtTextInternal::ColumnInfo::m_box

the bdbox

Referenced by ColumnInfo(), operator<<, and FullWrtText::readTextData().

## ◆ m_column

int FullWrtTextInternal::ColumnInfo::m_column

the column number

Referenced by ColumnInfo(), operator<<, and FullWrtText::readTextData().

The documentation for this struct was generated from the following file:

- FullWrtText.cxx